/*ためしタイプ 0.3*/

var tameshitype_dir_path;
var tameshitype_ts;
(function(){
    var script_elms = document.getElementsByTagName("script");
    var path_bunkatsu = script_elms[script_elms.length - 1].src.split("/");
    path_bunkatsu[path_bunkatsu.length - 1] = "";
    
    tameshitype_dir_path = path_bunkatsu.join("/");
    
    var date = new Date();
    
    tameshitype_ts = Math.floor(date.getTime() / 1000);
}());

var tameshitype_cnt = 0;

function tameshitype_onload(){
    var css_link = document.createElement("link");
    css_link.type = "text/css";
    css_link.rel = "stylesheet";
    css_link.href = tameshitype_dir_path + "main.css";
    document.getElementsByTagName("head")[0].appendChild(css_link);
}

window.addEventListener("load",tameshitype_onload);


function tameshitype_show(font_file_names,style_descriptions,default_style,sample_text){
    if(!Array.isArray(font_file_names)){
        font_file_names = [font_file_names];
    }
    
    if(style_descriptions === undefined){
        style_descriptions = font_file_names[0];
    }
    
    if(!Array.isArray(style_descriptions)){
        style_descriptions = [style_descriptions];
    }
    
    if(default_style === undefined){
        default_style = 0;
    }
    
    if(sample_text === undefined){
        sample_text = "The quick brown fox jumps over the lazy dog.";
    }
    
    var style_elm = document.createElement("style");
    style_elm.type = "text/css";
    document.getElementsByTagName("head")[0].appendChild(style_elm);
    
    for(var cnt = 0; cnt < font_file_names.length ;cnt++){
var font_face_str = (function(){/*
@font-face {
    font-family: "tameshitype___TAMESHITYPE_TS_____TAMESHITYPE_CNT_____CNT__";
    src: url("__FONT_FILE_NAME__");
}
*/}.toString().replace(/(\n)/g," ").replace(/__TAMESHITYPE_TS__/g,tameshitype_ts).replace(/__TAMESHITYPE_CNT__/g,tameshitype_cnt).replace(/__FONT_FILE_NAME__/g,font_file_names[cnt]).replace(/__CNT__/g,cnt).split("*")[1]);
        
        style_elm.sheet.insertRule(font_face_str,cnt);
    }
    
var type_area_html = (function(){/*
    <select class="tameshitype_select" id="tameshitype_style_select___TAMESHITYPE_CNT__" onchange="tameshitype_style_select_change(__TAMESHITYPE_CNT__);"></select>&nbsp;&nbsp; Size <input class="tameshitype_number" type="number" id="tameshitype_size_input___TAMESHITYPE_CNT__" value="36" onchange="tameshitype_size_input_change(__TAMESHITYPE_CNT__);" onkeyup="tameshitype_size_input_change(__TAMESHITYPE_CNT__);">px&nbsp;&nbsp; Letter&nbsp;Spacing <input class="tameshitype_number" type="number" id="tameshitype_ls_input___TAMESHITYPE_CNT__" value="0" onchange="tameshitype_ls_input_change(__TAMESHITYPE_CNT__);" onkeyup="tameshitype_ls_input_change(__TAMESHITYPE_CNT__);">px&nbsp;&nbsp; <label><input class="tameshitype_check" type="checkbox" id="tameshitype_italic_input___TAMESHITYPE_CNT__" onchange="tameshitype_italic_input_change(__TAMESHITYPE_CNT__);"> Italic</label>
    <textarea class="tameshitype_textarea" id="tameshitype_textarea___TAMESHITYPE_CNT__"></textarea>
*/}.toString().replace(/(\n)/g," ").replace(/__TAMESHITYPE_CNT__/g,tameshitype_cnt).split("*")[1]);
    
    document.write("<div id='tameshitype_area_" + tameshitype_cnt + "'></div>");
    document.getElementById("tameshitype_area_" + tameshitype_cnt).innerHTML = type_area_html;
    
    document.getElementById("tameshitype_textarea_" + tameshitype_cnt).value = sample_text;
    
    var select_naiyo = "";
    
    for(var cnt = 0; cnt < style_descriptions.length ;cnt++){
        if(cnt == default_style){
            select_naiyo = select_naiyo + "<option value='" + cnt + "' style='font-family: \"tameshitype_" + tameshitype_ts + "_" + tameshitype_cnt + "_" + cnt + "\";' selected>" + style_descriptions[cnt] + "</option>";
        }else{
            select_naiyo = select_naiyo + "<option value='" + cnt + "' style='font-family: \"tameshitype_" + tameshitype_ts + "_" + tameshitype_cnt + "_" + cnt + "\";'>" + style_descriptions[cnt] + "</option>";
        }
    }
    
    document.getElementById("tameshitype_style_select_" + tameshitype_cnt).innerHTML = select_naiyo;
    
    tameshitype_style_select_change(tameshitype_cnt,default_style);
    
    tameshitype_cnt++;
}


function tameshitype_size_input_change(cnt){
    var size_val = Number(document.getElementById("tameshitype_size_input_" + cnt).value);
    
    document.getElementById("tameshitype_textarea_" + cnt).style.fontSize = size_val + "px";
}

function tameshitype_style_select_change(cnt,num){
    var sel_elm = document.getElementById("tameshitype_style_select_" + cnt);
    
    if(num === undefined){
        var style_val = Number(sel_elm.value);
    }else{
        var style_val = num;
    }
    
    document.getElementById("tameshitype_textarea_" + cnt).style.fontFamily = "'tameshitype_" + tameshitype_ts + "_" + cnt + "_" + style_val + "'";
    sel_elm.style.fontFamily = "'tameshitype_" + tameshitype_ts + "_" + cnt + "_" + style_val + "'";
}

function tameshitype_ls_input_change(cnt){
    var size_val = Number(document.getElementById("tameshitype_ls_input_" + cnt).value);
    
    document.getElementById("tameshitype_textarea_" + cnt).style.letterSpacing = size_val + "px";
}

function tameshitype_italic_input_change(cnt){
    if(document.getElementById("tameshitype_italic_input_" + cnt).checked){
        document.getElementById("tameshitype_textarea_" + cnt).style.fontStyle = "italic";
    }else{
        document.getElementById("tameshitype_textarea_" + cnt).style.fontStyle = "normal";
    }
}